<?php

use App\Http\Controllers\MenuAdminController;
use Illuminate\Support\Facades\Route;




Route::prefix('menu')->group(function () {

    Route::get('/menuvista', [MenuAdminController::class, 'index'])->name('menu.admin.index');
    Route::get('/data',    [MenuAdminController::class, 'data'])->name('menu.admin.data');
    Route::get('/padres',  [MenuAdminController::class, 'padres'])->name('menu.admin.padres');
    Route::post('/store_menu', [MenuAdminController::class, 'store'])->name('menu.admin.store');
    Route::get('/{menu}',  [MenuAdminController::class, 'edit'])->name('menu.admin.edit');
    Route::put('/{menu}',  [MenuAdminController::class, 'update'])->name('menu.admin.update');
    Route::delete('/{menu}',[MenuAdminController::class, 'destroy'])->name('menu.admin.destroy');
});
